Subject: bug#65234: [PATCH] Fix jsx font-lock in older tree-sitter-js grammars

From: Dmitry Gutov <[email-masked]>
Date: Wed, 16 Aug 2023 05:04:10 +0300

On 12/08/2023 08:41, Eli Zaretskii wrote:
> Yuan, Theo: any comments on this?  Is this safe enough to go into the
> emacs-29 branch?

It looks good to me (and works okay too). I also saw the same error in 
my testing.

Especially since Emacs 29.2 is not quite imminent, I think it's a good 
idea to install this: queries are simpler and thus more reliable. And 
the fixed-fix, of course.